
QGIS Application - Bug report #11997

QGIS hangs importing a shapefile into spatialite

2015-01-17 03:00 AM - Roy Roge

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20202

Description

Importing a shapefile with a specific table formatting

hangs QGIS and you are forced to kill the application

to reproduce the issue:

1 - Create a new shapefile with attribute table:

pk_0 string 20

pk string 20

2 - draw a feature ( a point )  and insert 1 and 1 in the two columns

3 - save the shapefile and import it in a spatialite db:

QGIS hangs and you are forced to kill,

it seems that DBManager somehow get confused by

the attribute names ( formatted as above ).

Thanks, Roy.

Associated revisions

Revision 3646e358 - 2015-06-09 06:37 PM - Jürgen Fischer

fix primary key search (fixes #11997)

Revision 77b405f4 - 2015-06-29 06:49 PM - Jürgen Fischer

fix primary key search (fixes #11997)

(cherry picked from commit 3646e35827da5b6e1e03a9375aa2845fb013bdaa)

History

#1 - 2015-01-18 03:14 AM - Giovanni Manghi

- Subject changed from DBManager hangs QGIS importing a shapefile into spatialite to QGIS hangs importing a shapefile into spatialite

- Target version deleted (Version 2.8)
- Category changed from DB Manager to Vectors

- Affected QGIS version changed from 2.6.1 to master

- OS version deleted (32 bit, 64 bit)

- Operating System deleted (Windows, Linux)

This affects also the QGIS browser. The QSpatialite plugin and ogr2ogr are working ok with the same input shapefile.

#2 - 2015-01-25 10:02 AM - Jukka Rahkonen

I can load such shapefile with DB Manager if I set primary key from the options. If I do not set primary key then QGIS 2.6.1 hangs and it must be killed from

OS.

#3 - 2015-06-09 09:38 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3646e35827da5b6e1e03a9375aa2845fb013bdaa".
